#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 one-liner
version:              2.1
visibility:           public
id:                   one-liner-2.1-1903h2j7xYH2Io7tHQiait
key:                  one-liner-2.1-1903h2j7xYH2Io7tHQiait
license:              BSD-3-Clause
maintainer:           sjoerd@w3future.com
author:               Sjoerd Visscher, Xia Li-yao
homepage:             https://github.com/sjoerdvisscher/one-liner
synopsis:             Constraint-based generics
description:
    Write short and concise generic instances of type classes.
    one-liner is particularly useful for writing default
    implementations of type class methods.

category:             Generics
abi:                  38c21d3a4df8da8cbdad0992d0cf5fd0
exposed:              True
exposed-modules:
    Generics.OneLiner Generics.OneLiner.Binary
    Generics.OneLiner.Classes Generics.OneLiner.Internal
    Generics.OneLiner.Internal.Unary

import-dirs:          /usr/lib/ghc-9.0.2/site-local/one-liner-2.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/one-liner-2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-one-liner
hs-libraries:         HSone-liner-2.1-1903h2j7xYH2Io7tHQiait
depends:
    base-4.15.1.0 bifunctors-5.6-7ExhdSg0REnLa63iq3XbqI
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd ghc-prim-0.7.0
    linear-base-0.3.0-7bNp3uXaYkq4MGHwE5seTf
    profunctors-5.6.2-Gl8Vzdu7hPbERin5waK4WF
    tagged-0.8.8-7t9egrTqJuwIG4IxuqlUrH transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-one-liner/html/one-liner.haddock
haddock-html:         /usr/share/doc/haskell-one-liner/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

